Intel HD Audio 82801I ICH9 sound repeats / echoes / skips / stutters

Bug #274424 reported by Mbarak A. Bujra on 2008-09-25
90
This bug affects 10 people
Affects Status Importance Assigned to Milestone
ALSA driver
New
Unknown
Linux
New
Undecided
Unassigned
alsa-driver (Ubuntu)
Undecided
Unassigned
Nominated for Intrepid by Mbarak A. Bujra
Nominated for Jaunty by umer
linux (Ubuntu)
Medium
Unassigned
Nominated for Intrepid by Mbarak A. Bujra
Nominated for Jaunty by umer

Bug Description

Any sound played will repeat / echo until the process that played it is closed

lshw -c multimedia:
  *-multimedia
       description: Audio device
       product: 82801I (ICH9 Family) HD Audio Controller
       vendor: Intel Corporation
       physical id: 1b
       bus info: pci@0000:00:1b.0
       version: 03
       width: 64 bits
       clock: 33MHz
       capabilities: bus_master cap_list
       configuration: driver=HDA Intel latency=0 module=snd_hda_intel

lspci:
00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 03)
    Subsystem: Hewlett-Packard Company Device [103c:30f4]
    Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
    Latency: 0, Cache Line Size: 64 bytes
    Interrupt: pin B routed to IRQ 22
    Region 0: Memory at df300000 (64-bit, non-prefetchable) [size=16K]
    Capabilities: <access denied>
    Kernel driver in use: HDA Intel
    Kernel modules: snd-hda-intel

aplay -l:
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: STAC92xx Digital [STAC92xx Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

alsa-info.sh:
http://www.alsa-project.org/db/?f=5080335b03e85ad4f639adabfbb3fa45bec30018

Mbarak A. Bujra (mbarak) wrote :

the problem (i think) is with snd-hda-intel
but then again, I'm the wrong person to ask

Gerard Brunick (gbrunick-1) wrote :

Same symptoms: sound echos or skips.

sudo lshw -C multimedia
  *-multimedia
       description: Audio device
       product: 82801I (ICH9 Family) HD Audio Controller
       vendor: Intel Corporation
       physical id: 1b
       bus info: pci@0000:00:1b.0
       version: 03
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: driver=HDA Intel latency=0 module=snd_hda_intel

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

alsa-info.sh
http://www.alsa-project.org/db/?f=6e79892ddf7287b2676a7d5a69aa347e16a9cc02

Mbarak A. Bujra (mbarak) wrote :

bump?

Mbarak A. Bujra (mbarak) on 2008-10-01
description: updated
Mbarak A. Bujra (mbarak) wrote :

switching affected package to linux because when you add irqpoll as a kernel option this fixes the sound
side effects of this is a less responsive system or less responsive hardware - particularly the touchpad
perhaps theres a way only switch the sound to irqpoll while leaving all the other hardware to what it usually is?

umer (umer-farooq) wrote :

I am having the same problem, I had filed a bug here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/268757
But just found it, so I have marked my original as a duplicate.

dococo (hugh-planit) wrote :

I have a similar issue. I have tried upgrading to rc3 but no help.

Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)

cat /proc/asound/card0/codec#* | grep Codec
Codec: IDT 92HD71B7X
Codec: LSI ID 1040
Codec: Generic 8086 ID 2802

cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.18rc3.
Compiled on Oct 11 2008 for kernel 2.6.27-7-generic (SMP).

Ubuntu
Release 8.10 (Intrepid)
Kernel 2.6.27-4-generic

Mbarak A. Bujra (mbarak) wrote :

when using the mic, the speakers (or headphones) as well as the webcam (ex: skype convo) on irqpoll the sound being played back becomes corrupt, the sound being sent through the microphone becomes corrupt, the webcam works fine (and is being sent) but the mouse and keyboard stop working and you are stuck there looking and sounding like a fool until a) you restart or b) the process using the mic, speakers, and webcam stop (i.e. the other person on skype hangs up)

quantenemitter (quantenemitter) wrote :

I experience sililar problems with echoes and skips every second or so, but
* the playback does _not_ repeat until the process is closed.
* I have another sound card:
lshw -c multimedia:
  *-multimedia
       description: Audio device
       product: 82801G (ICH7 Family) High Definition Audio Controller
       vendor: Intel Corporation
       physical id: 1b
       bus info: pci@0000:00:1b.0
       version: 01
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: driver=HDA Intel latency=0 module=snd_hda_intel
* While moving windows fast and randomly (Gnome), the movement stops every two seconds or so for a short moment. It really does not disturb me, but it might be these stops result from the same reason as the skips in the sound playback.

To be honest, I'm quite disappointed. I just changed from Gentoo, where the drivers worked fast and smooth and the applications were buggy to Ubuntu: Now the desktop is doing what I want, but slower, and in one week the second driver is buggy.

Ubuntu Inteprid, 2.6.27-7-generic, Last updated today: 2008-10-25

Mbarak A. Bujra (mbarak) wrote :

the driver has improved from before - it still stutters but not indefinitaly

Mbarak A. Bujra (mbarak) wrote :

there is a solution to this bug here:
bug #269586
https://bugs.launchpad.net/ubuntu/+bug/269586
this bug has been marked as a duplicate

nadavkav (nadavkav) wrote :

well, i have Debian (sid) but i guess i found a workaround/solution to this issue (i had it too)
add these 3 lines to the end of /etc/modprobe.d/alsa-base

options snd-hda-intel model=3stack-dig
options snd-hda-intel enable_msi=1
options snd-hda-intel single_cmd=1

run "alsa reload" at the console :-)

==
my card specs:
lspci:
Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03) {0403: 8086:293e}

cat /proc/asound/card0/codec#* | grep Codec
Codec: IDT 92HD71B7X
Codec: Generic 10de ID 6

cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.16.

Adam Kimber (adam-kimber) wrote :

I do not have this issue. Here is the output from the various bits. If I can identify what works here I might be able to help you guys.........

$ sudo lshw -C multimedia
  *-multimedia
       description: Audio device
       product: 82801I (ICH9 Family) HD Audio Controller
       vendor: Intel Corporation
       physical id: 1b
       bus info: pci@0000:00:1b.0
       version: 02
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: driver=HDA Intel latency=0 module=snd_hda_intel

$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC883 Analog [ALC883 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: ALC883 Digital [ALC883 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

$ lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)

Adam Kimber (adam-kimber) wrote :

$ cat /proc/asound/card0/codec#* | grep Codec
Codec: Realtek ALC883

$ cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.17

Maybe I have an earlier version.. (rev 02)

Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)

no sound from jaunty
paman show sond in vumeter but I avn't in my ears...

umer (umer-farooq) wrote :

Under Jaunty the workaround is the same as for Intrepid. Adding "options snd-hda-intel enable_msi=1" to "/etc/modprobe.d/alsa-base.conf" fixes the stuttering issue.

popi31: I had that "issue" as well. It was cleared up for me by increasing the Master, Front, and Headphones sliders to 100%, and using the PCM slider to actually do the volume control.

imoas83 (imoas83) wrote :

I've the same problem of popi31: no sound from jaunty. So, I've tried this solution: added

options snd-hda-intel model=3stack-dig
options snd-hda-intel enable_msi=1
options snd-hda-intel single_cmd=1

to the config file "/etc/modprobe.d/alsa-base.conf" and ran

sudo alsa reload

from gnome-terminal, but no sound!! :(

mickoz (michael-kozielski) wrote :

try other models and don't only reload the alsa driver. A complete reboot was necessary for me.
model can be found here: /usr/share/doc/alsa-base/drivers/ALSA-Configuration.txt.gz

To find out the codec name type :
aplay -l

nadavkav (nadavkav) wrote :

http://git.alsa-project.org/?p=alsa-kernel.git;a=commit;h=92258a3ed2f583c8720ef570f5c62b28e6c58d71

try the latest git version or daily snapshot

with model=hp-dv5

(works for me on dv7)

For this bug you shouldn't need a newer version of alsa, nor even try
another model as alsa seems to be able to guess which one is needed.
All you need todo is add
"options snd-hda-intel enable-msi=1"
 and you need to reload the driver by restarting or:
Pulseaudio -k
Lsof | grep snd (and closing all programns tha come up)
Sudo invoke-rc.d alsa-utils stop
Sudo rmmod snd-hda-intel
Sudo modprobe snd-hda-intel
Sudo invoke-rc.d alsa-utils start

There are probably typos, plz forgive me I'm not at my computer at the moment

On 4/25/09, nadavkav <email address hidden> wrote:
> http://git.alsa-project.org/?p=alsa-
> kernel.git;a=commit;h=92258a3ed2f583c8720ef570f5c62b28e6c58d71
>
> try the latest git version or daily snapshot
>
> with model=hp-dv5
>
> (works for me on dv7)
>
> --
> Intel HD Audio 82801I ICH9 sound repeats / echoes / skips / stutters
> https://bugs.launchpad.net/bugs/274424
> You received this bug notification because you are a direct subscriber
> of the bug.
>

lunaticare (lunaticare) wrote :

HP Pavilion dv7 Notebook, same problem.
For me works in /etc/modprobe.d/modprobe.conf:
-----
options snd-hda-intel enable=1 enable_msi=1 single_cmd=1 power_save_controller=1
-----
Option "power_save_controller" if not nessessary. But i found one more bug.
Sound repeats / echoes / skips / stutters after Suspend-To-RAM!
I mean it works fine until laptop suspend. I solved this by using "single_cmd=1" option despite it is not recommended.

Mbarak A. Bujra (mbarak) wrote :

I confirm that adding single_cmd fixes sound after hibernation. i can't test suspend because, it doesn't work for me
what does power_save_controller do - is it beneficial to have it?

Jonas Schwabe (jonas-schwabe) wrote :

Confirmed for Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03) with VIA VT1708S codec.
The sound is too low and the volume can't be changed, you can hear something if you use external speakers cause it is a laptop (ASUS X5DIJ).
Speakers need to turn very loud so the sound quality is aweful.
There is no recommended model parameter in any docu so try and error is the only way to fix the issue, if it is possible. Does anyone know a working model parameter?

Tomasz Tracz (t0m3k) wrote :

I have the same problem. On Ubuntu 8.10 and Fedora 10 the sound worked but at 9.04, (K)Ubuntu 9.10 and Fedora 11 doesn't work.
I have HP DV3640EW and actually Kubuntu 9.10 KK:

sudo lshw -c multimedia
[sudo] password for tomek:
  *-multimedia
       description: Audio device
       product: 82801I (ICH9 Family) HD Audio Controller
       vendor: Intel Corporation
       physical id: 1b
       bus info: pci@0000:00:1b.0
       version: 03
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: driver=HDA Intel latency=0 module=snd_hda_intel

sudo aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: STAC92xx Digital [STAC92xx Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)

cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.20.

Sorry for my English.

johnny (jrb81) wrote :

Hi everybody,

on my ASUS X5DIJ-SX018L (K50) with Ubuntu 9.04 and the same sound chipset the sound doesn't work at all. I tried pretty much but so far it doesn't work.

hwinfo:

PCI 1b.0: 0403 Audio device
  [Created at pci.314]
  UDI: /org/freedesktop/Hal/devices/pci_8086_293e
  Unique ID: u1Nb.0BStUO5UoL0
  SysFS ID: /devices/pci0000:00/0000:00:1b.0
  SysFS BusID: 0000:00:1b.0
  Hardware Class: sound
  Model: "Intel 82801I (ICH9 Family) HD Audio Controller"
  Vendor: pci 0x8086 "Intel Corporation"
  Device: pci 0x293e "82801I (ICH9 Family) HD Audio Controller"
  SubVendor: pci 0x1111 "Santa Cruz Operation"
  SubDevice: pci 0x1043
  Revision: 0x03
  Driver: "HDA Intel"
  Driver Modules: "snd_hda_intel"
  Memory Range: 0xfdef4000-0xfdef7fff (rw,non-prefetchable)
  IRQ: 22 (5316 events)
  Module Alias: "pci:v00008086d0000293Esv00001111sd00001043bc04sc03i00"
  Driver Info #0:
    Driver Status: snd_hda_intel is active
    Driver Activation Cmd: "modprobe snd_hda_intel"
  Config Status: cfg=new, avail=yes, need=no, active=unknown

I also tested a sugestion to add an option to "options snd-hda-intel probe_mask=x" with the values changing from 0 to 3 to the /etc/modprobe.d/alsa-base.conf - unfortunately without success.

Thanks in advance, J

anakin (spamtaker666) wrote :

I have an HP dv3-2155mx and am having no sound in Ubuntu 9.04. So far all the suggestions I've tried have not worked for me. I can't even get the sound to skip/echo/repeat. I changed the playback and tested all available options in the System-> Preferences-> Sound. I installed PulseAudio Volume controller and verified the graphic meters were moving when the sound was playing from Totem Movie Player. There are no start up and shutdown sounds. I've read on some forums that the kernel needs to be recompiled with certain options switched on (irqpoll?) but says the side effects of irqpoll is that other devices are "delayed" (touch pad,etc). Any help would be appreciated!

  *-multimedia
       description: Audio device
       product: 82801I (ICH9 Family) HD Audio Controller
       vendor: Intel Corporation
       physical id: 1b
       bus info: pci@0000:00:1b.0
       version: 03
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: driver=HDA Intel latency=0 module=snd_hda_intel

**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 3: INTEL HDMI [INTEL HDMI]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

$ cat /proc/asound/card0/codec#* | grep Codec
Codec: IDT 92HD75B2X5
Codec: Intel G45 DEVCTG

I tried adding this to my /etc/modprobe.d/alsa-base.conf: (I tried "sudo alsa reload" and rebooting my machine)

options snd-hda-intel model=hp-dv3
options snd-hda-intel enable_msi=1
options snd-hda-intel single_cmd=1

also tried adding:

alias snd-card-0 snd-hda-intel
alias sound-slot-0 snd-hda-intel
options snd-hda-intel model=hp-dv3
options snd-hda-intel enable_msi=1
options snd-hda-intel single_cmd=1

*** I changed the "model=" to "hp-dv5" & "3stack-dig"

anakin (spamtaker666) wrote :

Confirmed Fedora 10 Live CD sound worked (WIFI card is not working; did not work in ubuntu 9.04 live CD either but works in Ubuntu 9.04 installed). Sound echos/repeats when exiting totem movie player. No "/etc/modprobe.d/alsa-base.conf" found. "/etc/modprobe.conf" is empty. I would like to find out the settings that are being used in the alsa configuration file and then try to use that in Ubuntu 9.04. "alsamixer" brings up:

Card: PulseAudio
Chip: PulseAudio

In Ubuntu 9.04 the card was HDA Intel (Alsa Mixer).

*************

Kernel used in Fedora 10 Live CD that I'm using is 2.6.27.5-117; I dunno if using this kernel in Ubuntu will make any difference I don't know what options are turned on in this kernel.

anakin (spamtaker666) wrote :

UPDATE: WORKS THROUGH MY HEADPHONES WITHOUT ECHOS/REPEATS/ETC (I don't know how to make it come through the speakers. Is there a setting somewhere to make it output the speakers?)

I reinstalled Ubuntu 9.04 and performed all the updates the Ubuntu's update manager suggested (I noticed some pulse audio updates; there were a lot of updates so there may have been other sound related items updated as well). Also I don't know if it matters but I installed Pulse Volume Controller, VLC, and Wine. I performed the following:

sudo nano /etc/modprobe.d/alsa-base.conf

# then I added the following lines at the end of the file and REBOOTED!
options snd-hda-intel model=hp-dv5
options snd-hda-intel enable_msi=1

I'm not sure if the model is important... I have an hp-dv3 so I'm going to substitute that for the model and see if the sound works. If you have the same dv3-2155mx (dunno if its the same for other HPs) the speaker icon on the keyboard is WHITE (as oppose to orange like it was before) by the time the login screen came up. If its Orange I dunno if it'll work... my wifi never worked when it was orange during the live CDs.

If you know how to change the output to the speakers please post a reply or email me at spamtaker666(at)yahoo.com. Thank you very much and I'll post more of my results asap.

anakin (spamtaker666) wrote :

UPDATE:

Changing the model to hp-dv3 did not work. I changed it back to hp-dv5 and rebooted and everything worked fine through the headphones. Using the volume applet (default in Ubuntu? Not the pulse volume control) I clicked on Volume Control->Preferences and check EVERYTHING on. Although the headphones work I wanted to get the sound through the speakers to work too. So after everything is checked close the preference dialog box and return to the volume control dialog. Click on the RECORDING tab and and unmute "Import0 Mux" and "Import1 Mux" (I think one is for the left speaker and the other one is for the right speaker because if I just unmute one the sound is stronger on one side). I wouldn't recommend changing these values for the these two options as if you click back to the "Playback" tab the volume can be controlled through "Front Speakers" and of course "Master." On accident I change one of the values and then went to the terminal typed "alsamixer" and hit tab to get to the capture screen. There you can see the numeric value for all the values and can make sure Import0 Mux and Import1 Mux are the same.

Also I should mention the settings in System->Preferences->Sound; I set everything to PulseAudio Sound Server (except for Default Mixer Tracks which is set to HDA Intel (alsa mixer)). Alsa and OSS also worked for the other options but I chose to keep it at PulseAudio Sound Server.

I hope this helps!

Hi Mbarak A. Bujra,

I'd be interested in hearing back from you specifically since you are the original bug reporter. Can you comment if this issue remains with the latest Karmic 9.10 Alpha development release? ISO CD images are available at http://cdimage.ubuntu.com/releases/karmic/ . If the issue does remains, could you comment which of the workarounds you are using are still valid? Could you also run the following command from a Terminal (Applications->Accessories->Terminal) while running Karmic. It will automatically gather and attach sound specific debug information:

apport-collect -p alsa-base 274424

Everyone else, please note that sounds issues are typically specific to both the sound card and codec being used. If you have something that differs from the original bug reporter you should open a separate bug report for now. We can easily mark bugs as duplicates later on if necessary.

Changed in linux (Ubuntu):
status: New → Incomplete
Arthur (arthurb) wrote :

Karmic Alpha3 64bit solved this for me.

The livecd installer, and the first boot into the newly installed desktop, had the customary stuttering and repeating, but an update of all pending packages + a reboot and the login sound was perfect.

All subsequent sounds are fine also. This is on a HP Pavilion dv4 Notebook PC

:~$ sudo lshw -C multimedia
  *-multimedia
       description: Audio device
       product: 82801I (ICH9 Family) HD Audio Controller
       vendor: Intel Corporation
       physical id: 1b
       bus info: pci@0000:00:1b.0
       version: 03
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: driver=HDA Intel latency=0
       resources: irq:22 memory:df300000-df303fff

:~$ uname -a
Linux aetna 2.6.31-5-generic #24-Ubuntu SMP Sat Aug 1 12:47:58 UTC 2009 x86_64 GNU/Linux

Mbarak A. Bujra (mbarak) wrote :

Hi, sorry to reply with bad news but i won't be able to do anything until
September :s end of august at the earliest

On Wed, Aug 12, 2009 at 2:50 AM, Arthur <email address hidden> wrote:

> Karmic Alpha3 64bit solved this for me.
>
> The livecd installer, and the first boot into the newly installed
> desktop, had the customary stuttering and repeating, but an update of
> all pending packages + a reboot and the login sound was perfect.
>
> All subsequent sounds are fine also. This is on a HP Pavilion dv4
> Notebook PC
>
> :~$ sudo lshw -C multimedia
> *-multimedia
> description: Audio device
> product: 82801I (ICH9 Family) HD Audio Controller
> vendor: Intel Corporation
> physical id: 1b
> bus info: pci@0000:00:1b.0
> version: 03
> width: 64 bits
> clock: 33MHz
> capabilities: pm msi pciexpress bus_master cap_list
> configuration: driver=HDA Intel latency=0
> resources: irq:22 memory:df300000-df303fff
>
> :~$ uname -a
> Linux aetna 2.6.31-5-generic #24-Ubuntu SMP Sat Aug 1 12:47:58 UTC 2009
> x86_64 GNU/Linux
>
> --
> Intel HD Audio 82801I ICH9 sound repeats / echoes / skips / stutters
> https://bugs.launchpad.net/bugs/274424
> You received this bug notification because you are a direct subscriber
> of the bug.
>

AplayDevices:
 E: core-util.c: Home directory /home/raul not ours.
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/dsp', '/dev/snd/controlC0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/seq', '/dev/snd/timer', '/dev/sequencer2', '/dev/sequencer'] failed with exit code 1:
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfdffc000 irq 2297'
   Mixer name : 'Analog Devices AD1984'
   Components : 'HDA:11d41984,10280214,00100400'
   Controls : 19
   Simple ctrls : 13
DistroRelease: Ubuntu 9.04
NonfreeKernelModules: nvidia
Package: alsa-base 1.0.18.dfsg-1ubuntu8
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Uname: Linux 2.6.28-15-generic i686
UserGroups:

RpJ (repejota) wrote :
RpJ (repejota) wrote :
RpJ (repejota) wrote :
RpJ (repejota) wrote :
RpJ (repejota) wrote :
RpJ (repejota) wrote :
RpJ (repejota) wrote :
RpJ (repejota) wrote :
Martin Unold (munold) on 2009-08-28
Changed in linux (Ubuntu):
status: Incomplete → Fix Committed
status: Fix Committed → Incomplete
Mbarak A. Bujra (mbarak) wrote :

Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 4389 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xdf300000 irq 22'
   Mixer name : 'Nvidia MCP78 HDMI'
   Components : 'HDA:111d76b2,103c30f4,00100302 HDA:11c11040,103c137e,00100200 HDA:10de0006,10de0101,00100000'
   Controls : 36
   Simple ctrls : 20
DistroRelease: Ubuntu 9.10
LiveMediaBuild: Ubuntu 9.10 "Karmic Koala" - Alpha amd64 (20090812.3)
Package: alsa-base 1.0.20+dfsg-1ubuntu4
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-5.24-generic
Uname: Linux 2.6.31-5-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Mbarak A. Bujra (mbarak) wrote :
Mbarak A. Bujra (mbarak) wrote :
Mbarak A. Bujra (mbarak) wrote :
Mbarak A. Bujra (mbarak) wrote :
Mbarak A. Bujra (mbarak) wrote :
Mbarak A. Bujra (mbarak) wrote :
Mbarak A. Bujra (mbarak) wrote :
Mbarak A. Bujra (mbarak) wrote :
Mbarak A. Bujra (mbarak) wrote :
Mbarak A. Bujra (mbarak) wrote :
Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: apport-collected
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Tomasz Tracz (t0m3k) wrote :

The sound is working under OpenSuse 11.2, but under Ubuntu 9.10 still not. :(

On Tue, Nov 17, 2009 at 10:45 AM, T0m3k__ <email address hidden> wrote:
> The sound is working under OpenSuse 11.2, but under Ubuntu 9.10 still
> not. :(

openSUSE 11.2's kernel has two significant differences to Ubuntu
9.10's kernel WRT HDA:

* 2 MB prealloc buffer by default
* newer codec patches

@anakin: I also have a dv3. Ubuntu 9.10 . The sound didn't work well. My Output of hardware is the same of you.
I did some trick but i hadn't worked. I also install a lot of thing pavu ...

I kept my Laptop up-to-date then
Finally I do the same as you.

sudo nano /etc/modprobe.d/alsa-base.conf

# then I added the following lines at the end of the file and REBOOTED!
options snd-hda-intel model=hp-dv5
options snd-hda-intel enable_msi=1

And then reboot. Miraculously, the sound work perfectly not only via headphone but also via Laptop's speaker.
I'll try this trick in a fresh intall ubuntu 9.10 as soon as possible

I think that the dv5 (I got one) and dv3 (from my friend) have the same configure in alsa. But when intall Ubuntu it can not detected the laptop model (dv3). But if use the option from hp-dv5 it works.

Daniel T Chen (crimsun) wrote :

This should be automatic if you install
linux-backports-modules-alsa-karmic-generic and reboot.

Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: henry 1707 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x98900000 irq 17'
   Mixer name : 'Intel G45 DEVCTG'
   Components : 'HDA:11d4194a,103c7015,00100400 HDA:11c11040,103c1378,00100200 HDA:80862802,80860101,00100000'
   Controls : 38
   Simple ctrls : 21
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
Package: alsa-base 1.0.20+dfsg-1ubuntu5
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_NZ.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
Uname: Linux 2.6.31-14-generic x86_64
UserGroups:

XsessionErrors:
 (gnome-settings-daemon:1719): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:1719): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (polkit-gnome-authentication-agent-1:1824): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:1819): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (nautilus:1999): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed

komputes (komputes) wrote :

I can confirm having issues with this sound card. Symptoms are plugging in an output device into the headphone jack causes no sound comes out of the headphones, and the sound continues to play on the integrated laptop speakers.

Computer: Hewlett-Packard HP DV6
Release: Ubuntu 9.10 Karmic Koala
Kernel: 2.6.31-17
Architecture: x86_64
Sound Card/Audio Device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 03)
Sound Kernel Module/Driver: snd-hda-intel
Sound Card Codecs:
    IDT 92HD75B3X5
    LSI ID 1040
    Intel G45 DEVCTG

komputes (komputes) wrote :
Brad Figg (brad-figg) on 2010-03-26
tags: added: kj-triage
Brad Figg (brad-figg) wrote :

Please, if you are still having issues, test with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p alsa-base 274424

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds .

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

Please let us know your results.

Changed in alsa-driver (Ubuntu):
status: New → Incomplete
Brad Figg (brad-figg) on 2010-03-31
tags: added: karmic
Changed in alsa-driver:
status: Unknown → New
komputes (komputes) on 2011-03-24
tags: added: 8086293e

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix
To post a comment you must log in.